{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Edit Regulation
{% endblock %}

{% block head_block %}
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/css/select2.min.css" rel="stylesheet"/>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.3/js/select2.min.js"></script>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus"></i>
                Edit Regulation
            </h2>
            <ul class="nav navbar-right panel_toolbox">
                <li>

                    <button class="btn1 btn-orange" type="button" data-toggle="modal"
                            data-target="#myModal">
                        Delete Regulation
                    </button>
                    <form method="POST">{% csrf_token %}
                        <div class="modal" id="myModal" tabindex="-1" role="dialog"
                             aria-labelledby="myModalLabel1" aria-hidden="true">
                            <div class="modal-dialog" role="document">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                        <h4 class="modal-title" id="myModalLabel1"><b> Delete Confirmation </b></h4>
                                    </div>
                                    <div class="modal-body">
                                        <h5>Note: <strong style="color: red">Batches and Courses belonging to this regulation will be deleted</strong></h5>
                                        <h4 align="center">Contact Administrator to delete the regulation(for data loss prevention)</h4>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn1 btn1-default" data-dismiss="modal">Close
                                        </button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="form-horizontal form-label-left">
                        <form id="form" method="POST">{% csrf_token %}
                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    Start Year
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="startyear" name="startyear" class="form-control"
                                           value="{{ regulation.start_year }}" type="text" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                    End Year
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <input id="endyear" name="endyear" class="form-control" type="text"
                                           value="{{ regulation.end_year }}" required>
                                </div>
                            </div>

                            <div class="form-group">
                                <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <button id="up" type="button" class="btn1 btn-dark-green">Update Regulation
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <script type="text/javascript">
        function isNumberKey(evt) {
            var charCode = (evt.which) ? evt.which : evt.keyCode;
            if (charCode != 46 && charCode > 31
                && (charCode < 48 || charCode > 57))
                return false;

            return true;
        }


        $(document).on("click", '#up', function (e) {
            var startyear = $('#startyear').val();
            var endyear = $('#endyear').val();

            var minyear = 2000;
            var maxyear = new Date().getFullYear();

            if (startyear.length != 4 || (parseInt(startyear) < minyear)) {
                alert('Start year > 2000 required!');
                $('#startyear').val("");
                $('#startyear').focus();
                return;
            }

            else if (endyear.length != 4 || (parseInt(endyear) < parseInt(startyear))) {
                alert('End year > Start year required!');
                $('#endyear').val("");
                $('#endyear').focus();
                return;
            }
            $('#form').submit();
        });
    </script>

{% endblock %}